%define realname Text-Template
%define name perl-%{realname}
%define version 1.43
%define release 3mdk

Summary: Text::Template module for perl
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL or Artistic
Group: Development/Perl
Source: %{realname}-%{version}.tar.bz2
Url: http://www.cpan.org
BuildRequires: perl-devel
BuildRoot: %{_tmppath}/%{name}-buildroot/
Requires: perl
BuildArch: noarch

%description
This is a library for generating form letters, building HTML pages, or
filling in templates generally.  A `template' is a piece of text that
has little Perl programs embedded in it here and there.  When you
`fill in' a template, you evaluate the little programs and replace
them with their values.

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%files
%defattr(-,root,root)
%doc Artistic COPYING README
%{perl_vendorlib}/Text
%{_mandir}/*/*


%changelog
* Wed Jul 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.43-3mdk
- add 'make test'

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.43-2mdk
- rebuild for perl 5.8.0

* Thu Apr 11 2002 Franois Pons <fpons@mandrakesoft.com> 1.43-1mdk
- 1.43.

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.42-1mdk
- updated License and Description.
- simplified %%files.
- build as noarch.
- 1.42.

* Wed Dec  5 2001 Stefan van der Eijk <stefan@eijk.nu> 1.31-2mdk
- BuildRequires: perl-devel

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.31-1mdk
- updated to 1.31

* Tue Jul 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.20-3mdk
- recompiled with perl 5.6.1

* Wed Dec 20 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.20-2mdk
- used rpm perl macros

* Mon Sep 11 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.20-1mdk
- initial mandrake release (from e-smith)
- changed filelist into individual files
